<?php
namespace Teknisa\MAN\Controllers;


use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\Manager;
use Teknisa\MAN\Services\DayPartModalidadeService;
use Teknisa\MAN\Services;
use Teknisa\MAN\Utilities;
use Zeedhi\Framework\DTO\Response\Message;
use Teknisa\MAN\Services\NovoCodigo;
 

class DayPartModalidade  {
     protected $dataSourceName = 'vnd03101_DaypartModalidade';
    protected $DayPartModalidadeService;
    protected $utilService;
    
    public function __construct (DayPartModalidadeService $DayPartModalidadeService, Utilities\Util $utilService ){
        $this->utilService = $utilService;
        $this->dayPartModalidadeService = $DayPartModalidadeService;
    }
    
    public function find( $request,  $response) {
        $conditions = $this->utilService->getParamsAsArray($request);
        $response->addDataSet(new DataSet("vnd03101_DaypartModalidade", 
        $this->dayPartModalidadeService->buscaDayPart($conditions)));
        return $response;
    }
    
    public function findByProd( $request,  $response) {
        $conditions = $this->utilService->getParamsAsArray($request);
        $response->addDataSet(new DataSet("vnd03102_relDaypartProdutoModalidade", 
        $this->dayPartModalidadeService->buscaDayPartProd($conditions)));
        return $response;
    }
}